<?php

/**
 * bitpay Gateway Donation Module
 * @author Hamid Yousefi <mails.hamidyousefi@gmail.com>
 * @package engine/inc
 * @version 1.0 Farsi
 * @since Datalife Engine 10.4
 * @link http://dlepersian.com/
 */

defined('DATALIFEENGINE') || exit;
define('DS', DIRECTORY_SEPARATOR);

$modulename = basename(__FILE__, '.php');

echoheader("<em class=\"icon-credit-card\"></em> ماژول پرداخت آنلاین با درگاه بیت پی", "فهرست تراکنش های موفق");
echostyle("css");

echostyle("header", "تراکنش های موفق");

$db->query("DELETE FROM " . PREFIX . "_" . $modulename . " WHERE date < " . ($_TIME - 21600) . " AND verified = '0'");
    
$page = (($page = intval(filter_input(INPUT_GET, 'page', FILTER_VALIDATE_INT)))) ? $page : 1;
$endpoint = 30;
$startpoint = $page * $endpoint - $endpoint;

$db->query("SELECT * FROM ".PREFIX."_" . $modulename . " WHERE verified = '1' ORDER BY id DESC LIMIT ".$startpoint.", ".$endpoint);
if ($db->num_rows()) {
    $counter = $startpoint;
    while($row = $db->get_row()) {
        $counter++;
        
        $row['date'] = jdate('Y/m/d H:i', $row['date']);
        $row['verified'] = "<center><em class=\"" . (($row['verified']) ? "icon-ok" : "icon-remove") . "\"></em></center>";
        $records .= <<< HTML
<tr>
    <td>{$counter}</td>
    <td>{$row['transid']}</td>
    <td>{$row['name']}</td>
    <td>{$row['mobile']}</td>
    <td>{$row['email']}</td>
    <td><button onclick="DLEalert('{$row['message']}', 'متن پیام تراکنش  {$row['transid']}'); return false;" class="btn btn-xs btn-primary" style="width:100%;font-weight:normal;">مشاهده پیام</button></td>
    <td>{$row['amount']}</td>
    <td>{$row['date']}</td>
    <td>{$row['verified']}</td>
</tr>
HTML;
    }
}
else $records = "<tr><td colspan=\"9\"><center><span style=\"color:red\">رکوردی در سیستم ثبت نشده است...</span></center></td></tr>";

echo <<< HTML
<table class="table table-normal table-hover">
<thead>
    <tr>
        <td width="5%">ردیف</td>
        <td width="">کد پیگیری</td>
        <td width="">نام و نام خانوادگی</td>
        <td width="">شماره تماس</td>
        <td width="">ایمیل</td>
        <td width="">پیام</td>
        <td width="">مبلغ به تومان</td>
        <td width="">تاریخ</td>
        <td width="">تائید شده</td>
    </tr>
</thead>
<tbody>
HTML;
echo $records . '</tbody></table>';

$pages = "";
$row = $db->super_query("SELECT COUNT(*) AS counter FROM ".PREFIX."_".$modulename." WHERE verified = '1'");
$pagescount = $row['counter'];
unset($row);

if  ($pagescount > $endpoint) {
    $pages = "<div class=\"pull-left\"><ul class=\"pagination pagination-sm\">";
    $lastpage = ceil($pagescount / $endpoint);
    for ($counter = 1; $counter <= $lastpage; $counter++) {
        if ($counter < 3 || $counter > ($lastpage - 2) || ($counter > ($page - 2) && $counter < ($page + 2))) {
            if ($counter === $page) $pages .= '<li class="active"><span>' . $counter . '</span></li>';
            else $pages .= '<li><a href="?mod='.$modulename.'&page='.$counter.'">' . $counter . '</a></li>';
        }
        elseif ($counter == 3 || $counter == ($lastpage - 2)) $pages .= '<li class="active"><span>...</span></li>';
    }
    $pages .= "</ul></div>";
}



echostyle("footer", $pages);
echofooter();

function echostyle($type = "header", $addition = null) {
    global $config;
    if ($type === "header") {
echo <<< HEADER
<div class="box">
<div class="box-header"><div class="title">{$addition}</div></div>
<div class="box-content">
HEADER;
    }
    elseif ($type === "footer") {
        echo (isset($addition) && $addition != "") ? '</div><div class="box-footer" style="padding:10px">' . $addition . '</div></div>' : '</div></div>';
    }
}