<?php

/**
 * bitpay Gateway Donation Module
 * @author Hamid Yousefi <mails.hamidyousefi@gmail.com>
 * @version 1.0 Farsi
 * @since Datalife Engine 10.4
 * @link http://dlepersian.com/
 */

session_start();
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

error_reporting(E_ALL ^ E_NOTICE ^ E_DEPRECATED ^ E_WARNING);
ini_set('error_reporting', E_ALL ^ E_NOTICE) ^ E_WARNING ^ E_DEPRECATED;

ini_set('display_errors', false);
ini_set('html_errors', false);

define('DATALIFEENGINE', true);
define('ROOT_DIR', dirname(__FILE__));

include_once ROOT_DIR.'/engine/classes/mysql.php';
require_once(ROOT_DIR.'/engine/data/dbconfig.php');
require_once(ROOT_DIR.'/engine/api/api.class.php');

$prefix = PREFIX;

$sql = <<< SQL
CREATE TABLE IF NOT EXISTS `{$prefix}_hypay` (
  `id` int(10) unsigned NOT NULL,
  `name` varchar(255) NOT NULL,
  `mobile` varchar(255) NOT NULL,
  `email` varchar(255) NOT NULL,
  `message` varchar(255) NOT NULL,
  `amount` int(10) NOT NULL DEFAULT '0',
  `date` int(11) NOT NULL DEFAULT '0',
  `transid` varchar(255) NOT NULL,
  `idget` int(10) unsigned NOT NULL DEFAULT '0',
  `verified` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SQL;
$db->query($sql);

$checkup = $db->super_query("SELECT * FROM " . PREFIX . "_admin_sections WHERE name = 'hypay'");
if (!count($checkup) && !is_array($checkup)) {
    $sql = "INSERT INTO `{$prefix}_admin_sections` (`name`, `title`, `descr`, `icon`, `allow_groups`) VALUES ('hypay', 'ماژول پرداخت آنلاین با درگاه بیت پی', 'فهرست تراکنش های موفق', 'hypay.png', '1');";
    $db->query($sql);    
}
unset($checkup);

?>

<!DOCTYPE html>
<html lang="fa">
    <head>
        <meta charset="utf-8">
        <title>دی الـ ای پرشین -  ماژول پرداخت آنلاین با درگاه بیت پی</title>
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">
        <link href="{THEME}/css/offline.css" rel="stylesheet">
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->
        <style rel="stylesheet">
            /**
            @author Hamid Yousefi <mails.hamidyousefi@gmail.com>
            @link http://dlepersian.com
            */

            * {
                outline:0 none;
            }
            body {
                background-color:#f8f8f8;
            }
            a, a:hover, a:focus, a:active {
                text-decoration:none;
            }
            #topline {
                height:4px;
                background-color:#dd4951;
            }
            .block, .navigator {
                direction:rtl;
                background-color:#fffefe;
                border:1px solid #f2f2f2;
                box-shadow:0 2px 0 rgba(0, 0, 0, 0.02);
                border-radius:2px;
                display:block;
                border-bottom:1px solid #efefef;
                float:right;
                    margin:0 0 0;
                margin-bottom:25px;
                width:100%;
            }
            .block .content, .navigator {
                    padding:12px 15px 15px;
                    font-family:Tahoma, Geneva, sans-serif;
                    font-size:11px;
                    direction:rtl;
                    line-height:24px;
                    text-align:center;
            }
            .navigator {
                text-align:right;
                margin-bottom:10%;
                padding:6px 12px 13px;
            }
            .navigator .container a {
                
                margin-left:10px;
            }
            footer {
                position:absolute;
                bottom:25px;
                width:100%;
                text-align:center;
                font-size:12px;
                font-family:Verdana, Tahoma, Geneva, sans-serif;
            }
        </style>
    </head>
    <body>
        <div id="topline"></div>
        <div class="navigator">
            <div class="container">
                <a href="http://dlepersian.com/" target="_blank">دی الـ ای پرشین</a>
                <a href="http://dlepersian.com/modules/28-hypay-module-version-1-0.html" target="_blank">صفحه انتشار ماژول</a>
            </div>
        </div>
        <div class="container">
            <div class="row">
                <div class="col-md-4 col-md-push-4">
                    <div class="block offline">
                        <div class="content">
                            ماژول شما با موفقیت نصب شد.<br>
                            لطفا فایل hyinstall.php را از روی هاست خود حذف نمائید...
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <footer>
            Copyright <a href="http://dlepersian.com/" target="_blank">DLEPERSIAN</a> &copy; 2015 All Rights Reserved
        </footer>
    </body>
</html>